VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
IOptionMenuListener Class Referenceabstract
New classes » Version 4.7

Option menu listener. More...

`#include <ioptionmenulistener.h>`

Inheritance diagram for IOptionMenuListener:

## Public Member Functions
virtual void | onOptionMenuPrePopup (COptionMenu *menu)=0
| called before the menu pops up
virtual void | onOptionMenuPostPopup (COptionMenu *menu)=0
| called after the menu pops up
virtual bool | onOptionMenuSetPopupResult (COptionMenu *menu, COptionMenu *selectedMenu, int32_t selectedIndex)=0
| called when the platform optionmenu returns the result and before the value of the option menu is set.

## Detailed Description

Option menu listener.

## Member Function Documentation

## ◆ onOptionMenuPostPopup()

virtual void onOptionMenuPostPopup | ( | COptionMenu * | menu | ) |
| pure virtual

called after the menu pops up

Implemented in OptionMenuListenerAdapter.

## ◆ onOptionMenuPrePopup()

virtual void onOptionMenuPrePopup | ( | COptionMenu * | menu | ) |
| pure virtual

called before the menu pops up

Implemented in OptionMenuListenerAdapter.

The documentation for this class was generated from the following file:

- ioptionmenulistener.h